#1628 closed defect (fixed)

pthread_cond_wait is not interrupted by a POSIX signal

Reported by: Vinu Rajashekhar Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: vinutheraj@… Blocked By:
Blocking:

Description

According to the POSIX standard (http://opengroup.org/onlinepubs/007908799/xsh/pthread_cond_wait.html), pthread_cond_wait can be interrupted by POSIX signals. This is not the case with the RTEMS implementation.

I have attached a patch which adds this functionality to RTEMS.

Attachments (2)

pthreadcondwait.patch (2.8 KB) - added by Vinu Rajashekhar on Jul 26, 2010 at 6:12:08 AM.
patch which allows pthread_cond_wait to be interrupted by a POSIX signal
pthreadcondwait_v1.patch (2.7 KB) - added by Vinu Rajashekhar on Jul 28, 2010 at 5:40:18 PM.
patch which allows pthread_cond_wait to be interrupted by a POSIX signal

Download all attachments as: .zip

Change History (6)

Changed on Jul 26, 2010 at 6:12:08 AM by Vinu Rajashekhar

Attachment: pthreadcondwait.patch added

patch which allows pthread_cond_wait to be interrupted by a POSIX signal

comment:1 Changed on Jul 26, 2010 at 6:12:24 AM by Vinu Rajashekhar

Cc: Vinu Rajashekhar added

Changed on Jul 28, 2010 at 5:40:18 PM by Vinu Rajashekhar

Attachment: pthreadcondwait_v1.patch added

patch which allows pthread_cond_wait to be interrupted by a POSIX signal

comment:2 Changed on Jul 28, 2010 at 5:40:18 PM by Vinu Rajashekhar

attachments.isobsolete: 01

comment:3 Changed on Jul 30, 2010 at 1:59:50 AM by Vinu Rajashekhar

Resolution: fixed
Status: newclosed

Closed.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.